[android-components](../../../../index.md) / [mozilla.components.concept.engine.request](../../../index.md) / [RequestInterceptor](../../index.md) / [ErrorResponse](../index.md) / [Uri](./index.md)

# Uri

`data class Uri : `[`ErrorResponse`](../index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/engine/src/main/java/mozilla/components/concept/engine/request/RequestInterceptor.kt#L53)

Used to load an encoded URI directly

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `Uri(uri: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`)`<br>Used to load an encoded URI directly |

### Properties

| Name | Summary |
|---|---|
| [uri](uri.md) | `val uri: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
